package cn.iocoder.yudao.module.bpm.api.oa;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.bpm.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import javax.annotation.security.PermitAll;
import java.util.List;
import java.util.Map;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 流程实例")
public interface BpmOAGoOutApi {

    String PREFIX = ApiConstants.PREFIX + "/oa/goOut";

    @GetMapping(PREFIX + "/getGoOutByTime")
    @Operation(summary = "获取当日以及昨日外出的用户编号")
    @PermitAll
    CommonResult<Map<String, List<Long>>> getLeaveListByTime();
}
