package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.businessHospitality;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;
import java.util.List;

/**
 * 商务招待 创建 Request VO
 *
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 商务招待 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class BpmOABusinessHospitalityCreateReqVO {

    @Schema(description = "招待事由", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "招待事由不能为空")
    private String reason;

    @Schema(description = "客户单位")
    @NotNull(message = "客户单位不能为空")
    private String customerUnit;

    @Schema(description = "招待日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "招待日期不能为空")
    private LocalDate entertainDate;

    @Schema(description = "招待地点")
    private String entertainLocation;

    @Schema(description = "招待人员名单")
    @NotNull(message = "招待人员名单不能为空")
    private String staff;

    @Schema(description = "招待费用预算")
    @NotNull(message = "招待费用预算不能为空")
    private Integer costBudget;

    @Schema(description = "是否用车")
    private Integer isCar;

    @Schema(description = "是否住宿")
    private Integer isStay;

    @Schema(description = "流程实例编号")
    private String processInstanceId;

    @Schema(description = "状态-参见 bpm_process_instance_result 枚举", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Integer result;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
