package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.businessHospitality;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 商务招待 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOABusinessHospitalityRespVO extends BpmOABaseRespVO {

    @Schema(description = "招待事由", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "招待事由不能为空")
    private String reason;

    @Schema(description = "客户单位")
    @NotNull(message = "客户单位不能为空")
    private String customerUnit;

    @Schema(description = "招待日期", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "招待日期不能为空")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    private String entertainDate;

    @Schema(description = "招待地点")
    private String entertainLocation;

    @Schema(description = "招待人员名单")
    @NotNull(message = "招待人员名单不能为空")
    private String staff;

    @Schema(description = "招待费用预算")
    @NotNull(message = "招待费用预算不能为空")
    private Integer costBudget;

    @Schema(description = "是否用车")
    private Integer isCar;

    @Schema(description = "是否住宿")
    private Integer isStay;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
