package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.expenses;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 生产开支 请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOAExpensesRespVO extends BpmOABaseRespVO {

    @Schema(description = "收款人信息编号")
    private Long bankId;

    @Schema(description = "收款人名称")
    private String payeeName;

    @Schema(description = "银行卡号")
    private String bankNo;

    @Schema(description = "开户行名称")
    private String bankName;

    @Schema(description = "开支明细")
    private List<Expenses> expensesItem;

    @Schema(description = "工厂类型 | 1公司 工厂")
    private Integer factoryType;

    @Schema(description = "报销总金额")
    private BigDecimal totalMoney;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;
}
