package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.workorderassignrule;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - BPM OA 工单分配规则 Response VO")
@Data
public class BpmOAWorkOrderAssignRuleRespVO {

    @Schema(description = "规则ID，主键", example = "1")
    private Long id;

    @Schema(description = "工单类型", example = "it_support")
    private String workOrderType;

    @Schema(description = "工单类型名称", example = "IT支持")
    private String workOrderTypeName;

    @Schema(description = "责任部门ID", example = "100")
    private Long deptId;

    @Schema(description = "责任部门名称", example = "运维部")
    private String deptName;

    @Schema(description = "责任人ID", example = "1")
    private Long assigneeUserId;

    @Schema(description = "责任人姓名", example = "张三")
    private String assigneeUserName;

    @Schema(description = "规则描述", example = "IT支持类工单自动分配给运维部门张三处理")
    private String description;

    @Schema(description = "创建时间", example = "2024-01-01 10:00:00")
    private LocalDateTime createTime;

    @Schema(description = "更新时间", example = "2024-01-01 10:00:00")
    private LocalDateTime updateTime;

}
