package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.bpm.enums.task.BpmProcessInstanceResultEnum;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.time.LocalDate;
import java.util.List;

/**
 * OA 商务招待 DO
 *
 * @author 符溶馨
 */
@TableName(value ="bpm_oa_business_hospitality", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOABusinessHospitalityDO extends BaseDO {

    /**
     * 商务招待表单主键
     */
    @TableId
    private Long id;

    /**
     * 申请人的用户编号
     * 关联 AdminUserDO 的 id 属性
     */
    private Long userId;

    /**
     * 招待事由
     */
    private String reason;

    /**
     * 客户单位
     */
    private String customerUnit;

    /**
     * 招待日期
     */
    private LocalDate entertainDate;

    /**
     * 招待地点
     */
    private String entertainLocation;

    /**
     * 招待人员名单
     */
    private String staff;

    /**
     * 招待费用预算
     */
    private Integer costBudget;

    /***
     * 是否用车 | 0否 1是
     */
    private Integer isCar;

    /**
     * 是否住宿 | 0否 1是
     */
    private Integer isStay;

    /**
     * 申请的结果
     * 枚举 {@link BpmProcessInstanceResultEnum}
     * 考虑到简单，所以直接复用了 BpmProcessInstanceResultEnum 枚举，也可以自己定义一个枚举哈
     */
    private Integer result;

    /**
     * 对应的流程编号
     * 关联 ProcessInstance 的 id 属性
     */
    private String processInstanceId;

    /**
     * 附件基本信息
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;
}
