package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.util.Date;

/**
 * OA 报销明细 DO
 *
 * @author 姚君
 *
 */
@TableName(value ="bpm_oa_reimbursement_item", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAReimbursementItemDO extends BaseDO {

    /**
     * 报销明细表单主键
     */
    @TableId
    private Long id;

    /**
     * 报销编号
     */
    private Long reimbursementId;

    /**
     * 费用产生部门编号
     */
    private Long deptId;

    /**
     * 报销金额
     */
    private BigDecimal money;

    /**
     * 费用类型 | 字典值 参考bpm_oa_reimbursement_type
     */
    private String type;

    /**
     * 发生时间
     */
    private Date happenTime;

    /**
     * 发票张数
     */
    private Integer quantity ;

    /**
     * 费用明细
     */
    private String detail ;

    /**
     * 采购申请编号
     */
    private Long procureId;

    /**
     * 业务表编号
     */
    private Long objectId;
}
