package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * BPM OA 工单分配规则 DO
 *
 * @author 系统
 */
@TableName("bpm_oa_work_order_assign_rule")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOAWorkOrderAssignRuleDO extends BaseDO {

    /**
     * 规则ID，主键
     */
    @TableId
    private Long id;

    /**
     * 工单类型
     * 字典值：work_order_type
     */
    private String workOrderType;

    /**
     * 责任部门ID
     */
    private Long deptId;

    /**
     * 责任人ID
     */
    private Long assigneeUserId;

    /**
     * 规则描述
     */
    private String description;

}
