package cn.iocoder.yudao.module.bpm.service.oa;

import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.salary.BpmOASalaryCreateReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOASalaryDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 薪资付款申请 Service 接口
 *
 * @author 符溶馨
 */
public interface BpmOASalaryService {

    /**
     * 创建薪资付款申请
     *
     * @param userId 用户编号
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createSalary(Long userId, @Valid BpmOASalaryCreateReqVO createReqVO);

    /**
     * 更新薪资付款申请的状态
     *
     * @param id 编号
     * @param result 结果
     */
    void updateSalaryResult(String processInstanceId, Long id, Integer result);

    /**
     * 获得薪资付款申请
     *
     * @param id 编号
     * @return 薪资付款申请
     */
    BpmOASalaryDO getSalary(Long id);

    /**
     * 获得指定的薪资付款申请
     * @param processInstanceId 流程实例编号
     * @return 薪资付款申请
     */
    BpmOASalaryDO getByProcessInstanceId(String processInstanceId);

    /**
     * 获得指定的薪资付款申请
     * @param processInstanceIds 流程实例编号
     * @return 薪资付款申请
     */
    List<BpmOASalaryDO> getListByProcessInstanceIds(List<String> processInstanceIds);
}
