package cn.iocoder.yudao.module.bpm.service.oa;

import javax.validation.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplier.BpmOASupplierPageReqVO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplier.BpmOASupplierSaveReqVO;
import cn.iocoder.yudao.module.bpm.dal.dataobject.oa.BpmOASupplierDO;

/**
 * OA供应商审核 Service 接口
 *
 * @author 艾楷
 */
public interface BpmOASupplierService {

    /**
     * 创建OA供应商审核
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createOaSupplier(@Valid BpmOASupplierSaveReqVO createReqVO);

    /**
     * 更新OA供应商审核
     *
     * @param updateReqVO 更新信息
     */
    void updateOaSupplier(@Valid BpmOASupplierSaveReqVO updateReqVO);

    /**
     * 删除OA供应商审核
     *
     * @param id 编号
     */
    void deleteOaSupplier(Long id);

    /**
     * 获得OA供应商审核
     *
     * @param id 编号
     * @return OA供应商审核
     */
    BpmOASupplierDO getOaSupplier(Long id);

    /**
     * 获得OA供应商审核分页
     *
     * @param pageReqVO 分页查询
     * @return OA供应商审核分页
     */
    PageResult<BpmOASupplierDO> getOaSupplierPage(BpmOASupplierPageReqVO pageReqVO);

    /**
     * 更新工作任务的状态
     *
     * @param processInstanceId 流程实例id
     * @param id 编号
     * @param result 结果
     */
    void updateSupplierResult(String processInstanceId, Long id, Integer result);

}
