package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOABusinessHospitalityService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOABusinessHospitalityServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 商务招待的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOABusinessHospitalityResultListener extends BpmProcessInstanceResultEventListener {
    @Resource
    private BpmOABusinessHospitalityService businessHospitalityService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOABusinessHospitalityServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {

        businessHospitalityService.updateBusinessHospitalityResult(Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
