package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAHireService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAHireServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 名片定制的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAHireResultListener extends BpmProcessInstanceResultEventListener {
    @Resource
    private BpmOAHireService hireService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOAHireServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {

        hireService.updateHireResult(Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
