package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAReplacementCardService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOAReplacementCardServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 用章单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOAReplacementCardResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOAReplacementCardService ReplacementCardService;

    @Override
    protected String getProcessDefinitionKey() {

        return BpmOAReplacementCardServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        ReplacementCardService.updateReplacementCardResult(event.getId(), Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
