package cn.iocoder.yudao.module.crm.dal.dataobject.crmflowlog;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 审核日志 DO
 *
 * @author yshop
 */
@TableName("crm_flow_log")
@KeySequence("crm_flow_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CrmFlowLogDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 审批流程ID
     */
    private Long flowId;
    /**
     * 对象ID（如审批类型ID）
     */
    private Long typesId;
    /**
     * 审核人
     */
    private Long adminId;
    /**
     * 关联对象 contract-合同 receivables-回款 invoice-发票
     */
    private String types;
    /**
     * 审核人名称
     */
    private String nickname;
    /**
     * 审核意见
     */
    private String remark;
    /**
     * 1审核结束
     */
    private Integer isEnd;
    /**
     * 0审核未通过,1审核通过
     */
    private Integer status;

}
