package cn.iocoder.yudao.module.crm.dal.dataobject.crmrecorduser;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import lombok.experimental.Accessors;

/**
 * 跟进用户记录 DO
 *
 * @author 艾楷
 */
@TableName("crm_record_user")
@KeySequence("crm_record_user_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class CrmRecordUserDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 跟进记录id
     */
    private Long recordId;
    /**
     * 跟进用户id
     */
    private Long userId;

}
