package cn.iocoder.yudao.module.crm.service.crmanalysis;


import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.crm.controller.admin.crmanalysis.vo.*;

import java.util.List;

/**
 * 业绩目标 Service 接口
 *
 * @author yshop
 */
public interface AchievementService {


    /**
     * 获得用户业绩分析
     * @param pageReqVO 分页查询
     * @return 业绩目标分页
     */
    PageResult<UserAchieveVO> getAchievementPage(AchievementPageReqVO pageReqVO);

    /**
     * 获取部门业绩分析
     * @param pageReqVO
     * @return
     */
    List<DeptAchieveVO> getDeptAchieve(AchievementPageReqVO pageReqVO);

    /**
     * 获取业绩完成度
     * @param relation
     * @return
     */
    List<CompletionVO> getCompletion(String relation);

    /**
     * 销售简报
     * @param relation
     * @return
     */
    List<SalesVO> getSales(String relation);
}
