package cn.iocoder.yudao.module.infra.controller.app.file.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

/**
 * MinIO 文件上传请求 VO
 *
 * @author AI Assistant
 */
@Schema(description = "用户 App - MinIO 文件上传请求")
@Data
public class MinioUploadReqVO {

    @Schema(description = "文件", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "文件不能为空")
    private MultipartFile file;

    @Schema(description = "文件路径", example = "avatar/user.jpg")
    private String path;

} 