package cn.iocoder.yudao.module.system.api.attendance.vo;

import cn.hutool.core.collection.ListUtil;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * 用户打卡记录 DO
 *
 * @author 艾楷
 */
@Data
public class AttendanceTimeRangeInfoVO {
    /**
     * 是否需要考勤
     */
    @Schema(description = "是否需要考勤 0否 1是")
    private Integer needAttendance = 0;

    @Schema(description = "是否在考勤组内 0否 1是")
    private Integer inGroup = 1;
    /**
     * 日期类型
     */
    @Schema(description = "日期类型 1工作日 2休息日 3节假日")
    private Integer datType = 1;
    /**
     * 当日班次信息
     */
    @Schema(description = "班次子表信息")
    private List<AttendanceGroupShiftItemVO> items = ListUtil.empty();
}

