package cn.iocoder.yudao.module.system.api.dept.dto;

import cn.iocoder.yudao.framework.common.enums.CommonStatusEnum;
import lombok.Data;

@Data
public class DeptApiVO {
    /**
     * 部门ID
     */
    private Long id;
    /**
     * 部门名称
     */
    private String name;
    /**
     * 简称
     */
    private String shortName;
    /**
     * 父部门ID
     * 关联 {@link #id}
     */
    private Long parentId;
    /**
     * 机构类型 | 字典值参考 system_dept_type
     */
    private String type;
    /**
     * 部门层级
     */
    private Integer level;
    /**
     * 显示顺序
     */
    private Integer sort;
    /**
     * 负责人
     */
    private Long leaderUserId;
    /**
     * 工厂编号
     */
    private Long factoryId;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 标识符
     */
    private String flag;
    /**
     * 部门状态
     * 枚举 {@link CommonStatusEnum}
     */
    private Integer status;

    /**
     * 是否为虚机构 | 0否 1是
     */
    private Integer virtuallyStatus;
}
