package cn.iocoder.yudao.module.system.controller.admin.holiday.holidaysettingrange.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 假期规则人员范围分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class HolidaySettingRangePageReqVO extends PageParam {

    @Schema(description = "假期设置id", example = "27475")
    private Long holidaySettingId;

    @Schema(description = "目标类型 1考勤组 2部门 3个人", example = "2")
    private Integer type;

    @Schema(description = "根据目标类型对应的id", example = "3161")
    private Long objectId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
