package cn.iocoder.yudao.module.system.controller.admin.loan.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 借支管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class LoanPageReqVO extends PageParam {

    @Schema(description = "借支用户编号", example = "146")
    private Long userId;

    @Schema(description = "借支用户部门编号", example = "128")
    private Long deptId;

    @Schema(description = "借支类型")
    private Integer loanType;

    @Schema(description = "查询方式 | 是否查询全部借支 0否 1是  为0时查询 剩余金额不为0的借支")
    private Integer model = 0;

}