package cn.iocoder.yudao.module.system.controller.admin.loan.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 借支管理新增/修改 Request VO")
@Data
public class LoanSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "借支用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "146")
    @NotNull(message = "借支用户编号不能为空")
    private Long userId;

    @Schema(description = "借支用户部门编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "128")
    private Long deptId;

    @Schema(description = "借支类型 | 1工资 2费用")
    @NotNull(message = "借支类型不能为空")
    private Integer loanType;

    @Schema(description = "借支总额")
    private BigDecimal amount;

    @Schema(description = "已归还金额")
    private BigDecimal returnAmount;

    @Schema(description = "剩余金额")
    private BigDecimal remainingAmount;

}