package cn.iocoder.yudao.module.system.controller.admin.supplier.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 供应商商品分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SupplierProductPageReqVO extends PageParam {

    @Schema(description = "供应商id", example = "19964")
    private Long supplierId;

    @Schema(description = "资产类型id", example = "1358")
    private Long assetsTypeId;

    @Schema(description = "资产名称", example = "赵六")
    private String assetsName;

    @Schema(description = "单位")
    private String util;

    @Schema(description = "型号")
    private String model;

    @Schema(description = "价格", example = "23614")
    private BigDecimal price;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
