package cn.iocoder.yudao.module.system.controller.admin.user.vo.user;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

@Schema(description = "管理后台 - 用户生日信息 Response VO")
@Data
public class UserBirthdayRespVO {

    @Schema(description = "用户编号", example = "1")
    private Long userId;

    @Schema(description = "部门名称", example = "研发部")
    private String deptName;

    @Schema(description = "岗位")
    private String positionName;

    @Schema(description = "职称")
    private String postName;

    @Schema(description = "用户昵称", example = "芋道")
    private String nickname;

    @Schema(description = "入职日期", example = "2")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY)
    private LocalDate entryDate;

    @Schema(description = "生日", example = "2022-02-02")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY)
    private LocalDate birthday;

    @Schema(description = "状态 | 1:今日生日  2:本月生日", example = "1")
    private Integer status;
}
