package cn.iocoder.yudao.module.system.dal.dataobject.holiday.holidaysettingrange;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 假期规则人员范围 DO
 *
 * @author 艾楷
 */
@TableName("kq_holiday_setting_range")
@KeySequence("kq_holiday_setting_range_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HolidaySettingRangeDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 假期设置id
     */
    private Long holidaySettingId;
    /**
     * 目标类型 1考勤组 2部门 3个人
     */
    private Integer type;
    /**
     * 根据目标类型对应的id
     */
    private Long objectId;

}
