package cn.iocoder.yudao.module.system.dal.dataobject.linefixedassetstemporarytable;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import lombok.experimental.Accessors;

/**
 * 打包线固定资产（excel 临时表） DO
 *
 * @author 艾楷
 */
@TableName("zc_line_fixed_assets_temporary_table")
@KeySequence("zc_line_fixed_assets_temporary_table_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LineFixedAssetsTemporaryTableDO extends BaseDO {

    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 打包线编号
     */
    private String lineNo;
    /**
     * 规格
     */
    private String sku;
    /**
     * 名称
     */
    private String name;
    /**
     * 型号
     */
    private String modelNo;
    /**
     * 厂商
     */
    private String manufacturer;
    /**
     * 单位
     */
    private String unit;
    /**
     * 数量
     */
    private String num;
    /**
     * 铭牌日期
     */
    private String nameplateDate;
    /**
     * 使用日期
     */
    private String useDate;
    /**
     * 状态
     */
    private String status;
    /**
     * 工厂名称
     */
    private String factoryName;
    /**
     * 备注
     */
    private String remark;

}
