package cn.iocoder.yudao.module.system.dal.dataobject.loan;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 借支管理 DO
 *
 * @author 符溶馨
 */
@TableName("system_loan")
@KeySequence("system_loan_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LoanDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 借支用户编号
     */
    private Long userId;
    /**
     * 借支用户部门编号
     */
    private Long deptId;
    /**
     * 借支类型 | 1工资 2费用
     */
    private Integer loanType;
    /**
     * 借支总额
     */
    private BigDecimal amount;
    /**
     * 已归还金额
     */
    private BigDecimal returnAmount;
    /**
     * 剩余金额
     */
    private BigDecimal remainingAmount;

}