package cn.iocoder.yudao.module.system.dal.dataobject.rental;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.framework.mybatis.core.type.JsonLongSetTypeHandler;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.util.Set;

/**
 * 租赁客户 DO
 *
 * @author 符溶馨
 */
@TableName(value = "system_rental_customer", autoResultMap = true)
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RentalCustomerDO extends BaseDO {

    /**
     * 租赁客户表单主键
     */
    @TableId
    private Long id;
    /**
     * 所属工厂集合
     */
    @TableField(typeHandler = JsonLongSetTypeHandler.class)
    private Set<Long> factoryIds;
    /**
     * 客户名称
     */
    private String name;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 开户行
     */
    private String bankName;
    /**
     * 卡号
     */
    private String bankNo;
    /**
     * 剩余押金金额
     */
    private BigDecimal amount;

    /**
     * 周转天数
     */
    private Integer turnoverDays;

    /**
     * 状态 0开启 1关闭
     */
    private Integer status;
}