package cn.iocoder.yudao.module.system.dal.dataobject.supplier;

import lombok.*;
import java.util.*;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 供应商商品 DO
 *
 * @author 艾楷
 */
@TableName("zc_supplier_product")
@KeySequence("zc_supplier_product_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SupplierProductDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 供应商id
     */
    private Long supplierId;
    /**
     * 资产类型id
     */
    private Long assetsTypeId;
    /**
     * 资产名称
     */
    private String assetsName;
    /**
     * 单位
     */
    private String util;
    /**
     * 型号
     */
    private String model;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 备注
     */
    private String remarks;

}
