package cn.iocoder.yudao.module.system.dal.dataobject.workovertime;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 加班扣除规则 DO
 *
 * @author 艾楷
 */
@TableName("kq_work_overtime_deduct_rule")
@KeySequence("kq_work_overtime_deduct_rule_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WorkOvertimeDeductRuleDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 加班规则id
     */
    private Long ruleId;
    /**
     * 加班规则子表id
     */
    private Long ruleItemId;
    /**
     * 每天加班满n小时 临界值
     */
    private Integer threshold;
    /**
     * 扣除的数量
     */
    private Integer deductNum;

}
