package cn.iocoder.yudao.module.system.dal.dataobject.workovertime;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;
import java.util.List;

/**
 * 加班规则（更多规则） DO
 *
 * @author 艾楷
 */
@TableName("kq_work_overtime_more_rule")
@KeySequence("kq_work_overtime_more_rule_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WorkOvertimeMoreRuleDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 加班规则id
     */
    private Long ruleId;
    /**
     * 加班时长单位 1小时 2天
     */
    private Integer unit;
    /**
     * 是否需要取整 0不取整 1向下取整
     */
    private Integer roundingType;
    /**
     * 取整递增值
     */
    private BigDecimal roundingIncrementalValue;
    /**
     * 日折算时长 n小时 = 一天
     */
    private BigDecimal conversion;

    /**
     * 更多规则拓展列表
     */
    @TableField(exist = false)
    private List<WorkOvertimeMoreRuleExtDO> moreRuleExtList;
}
