package cn.iocoder.yudao.module.smartfactory.api.staffSalary;


import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.smartfactory.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Collection;

@FeignClient(name = ApiConstants.NAME) // TODO 芋艿：fallbackFactory =
@Tag(name = "RPC 服务 - 厂区员工薪资")
public interface StaffSalaryApi {

    String PREFIX = ApiConstants.PREFIX + "/staffSalary";

    @PutMapping(PREFIX + "/updateIsGrant")
    @Operation(summary = "更新是否已发放薪资")
    CommonResult<Boolean> updateIsGrant(@RequestParam("ids") Collection<Long> ids,
                                        @RequestParam("isGrant") Integer isGrant);
}
