package cn.iocoder.yudao.module.smartfactory.controller.admin.accessoriescollar.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Schema(description = "管理后台 - 厂区配件领用新增/修改 Request VO")
@Data
public class AccessoriesCollarSaveReqVO {

    @Schema(description = "厂区配件领用表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    private Long id;

    @Schema(description = "工厂编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "10000008")
    @NotNull(message = "工厂编号不能为空")
    private Long factoryId;

    @Schema(description = "领用月份 | YYYY-MM")
    private String month;

    @Schema(description = "叉车配件费用")
    private BigDecimal forkliftAccessories;

    @Schema(description = "打包配件费用")
    private BigDecimal packageAccessories;

    @Schema(description = "搬运劳保费用")
    private BigDecimal transportationAmount;

    @Schema(description = "状态 | 0未确认 1已确认", example = "0")
    private Integer status;

}