package cn.iocoder.yudao.module.smartfactory.controller.admin.factoryforklift.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;
import java.util.*;

@Schema(description = "管理后台 - 叉车管理新增/修改 Request VO")
@Data
public class FactoryForkliftSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "25769")
    private Long id;

    @Schema(description = "资产编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotEmpty(message = "资产编号不能为空")
    private String assetsNo;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1056")
    @NotNull(message = "工厂id不能为空")
    private Long factoryId;

    @Schema(description = "部门id", example = "23631")
    private Long deptId;

    @Schema(description = "叉车名称", example = "芋艿")
    private String name;

    @Schema(description = "厂商")
    private String manufacturer;

    @Schema(description = "设备代码")
    private String equipmentCode;

    @Schema(description = "出厂编号")
    private String serialNo;

    @Schema(description = "型号")
    private String modelNo;

    @Schema(description = "车牌")
    private String licensePlate;

    @Schema(description = "铭牌日期")
    private String nameplateDate;

    @Schema(description = "用途类型 根据字典值来匹配", example = "1")
    private Integer useType;

}
