package cn.iocoder.yudao.module.smartfactory.controller.admin.handlinggroupamountspecifications.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Schema(description = "管理后台 - 搬运组工资规格关联新增/修改 Request VO")
@Data
public class HandlingGroupAmountSpecificationsSaveReqVO {

    @Schema(description = "主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "9721")
    private Long id;

    @Schema(description = "工厂id", example = "23178")
    private Long factoryId;

    @Schema(description = "搬运规格id", example = "23178")
    @NotNull(message = "搬运规格不能为空")
    private Long handlingSpecificationsId;

    @Schema(description = "数量", example = "15611")
    @NotNull(message = "数量不能为空")
    private Integer totalCount;

    @Schema(description = "日期 格式 yyyy-MM-dd")
    @NotNull(message = "日期不能为空")
    private String dateStr;

}
