package cn.iocoder.yudao.module.smartfactory.dal.dataobject.linefixedassets;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 打包线固定资产 DO
 *
 * @author 艾楷
 */
@TableName("sf_line_fixed_assets")
@KeySequence("sf_line_fixed_assets_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LineFixedAssetsDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 资产编号
     */
    private String assetsNo;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 名称
     */
    private String name;
    /**
     * 规格
     */
    private String sku;
    /**
     * 打包线编号
     */
    private String lineNo;
    /**
     * 型号
     */
    private String modelNo;
    /**
     * 厂商
     */
    private String manufacturer;
    /**
     * 单位
     */
    private String unit;
    /**
     * 铭牌日期
     */
    private String nameplateDate;
    /**
     * 使用日期
     */
    private String useDate;
    /**
     * 备注
     */
    private String remark;

    /**
     * 工厂名称
     */
    @TableField(exist = false)
    private String factoryName;
    /**
     * 部门名称
     */
    @TableField(exist = false)
    private String deptName;

}
